# Create or change a warmup plan (operator)

`POST /deliverability/warmup-plans` · Rivier · domains

Create or change a warmup plan (operator). The volumes are the operator's numbers.

- Scope: domains:write
- Graphql: Mutation.domainsDeliverabilityPlanSave
- Sdk: domains.deliverabilityPlan.save
- Cli: domains deliverability plan save

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "maxLength": 80
    },
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "stages": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "day": {
            "type": "integer",
            "minimum": 1
          },
          "domainVolume": {
            "type": "integer",
            "minimum": 0
          },
          "ipVolume": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "day",
          "domainVolume",
          "ipVolume"
        ],
        "additionalProperties": false
      },
      "minItems": 1,
      "maxItems": 120
    },
    "afterLast": {
      "type": "string",
      "enum": [
        "hold",
        "unlimited"
      ]
    },
    "note": {
      "type": "string",
      "maxLength": 300
    }
  },
  "required": [
    "name",
    "stages"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/deliverability/warmup-plans' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "stages": [
    {
      "day": 0,
      "domainVolume": 0,
      "ipVolume": 0
    }
  ]
}'
```
